export default class ModelInstance {
  static list (sender, params, axiosOption, httpOption) {
    return sender.doUrl('/admin/app/modelInstance/list', 'post', params, axiosOption, httpOption);
  }
  static listForTree (sender, params, axiosOption, httpOption) {
    return sender.doUrl('/admin/app/modelManage/listForTree', 'post', params, axiosOption, httpOption);
  }
  static add (sender, params, axiosOption, httpOption) {
    return sender.doUrl('/admin/app/modelInstance/add', 'post', params, axiosOption, httpOption);
  }
  static delete (sender, params, axiosOption, httpOption) {
    return sender.doUrl('/admin/app/modelInstance/delete', 'post', params, axiosOption, httpOption);
  }
  static deploy (sender, params, axiosOption, httpOption) {
    return sender.doUrl('/admin/app/modelInstance/deploy', 'post', params, axiosOption, httpOption);
  }
  static getGpuInfo (sender, params, axiosOption, httpOption) {
    return sender.doUrl('/admin/app/modelInstance/getGpuInfo', 'post', params, axiosOption, httpOption);
  }
  static stop (sender, params, axiosOption, httpOption) {
    return sender.doUrl('/admin/app/modelInstance/stop', 'post', params, axiosOption, httpOption);
  }
  static canUseList (sender, params, axiosOption, httpOption) {
    return sender.doUrl('/admin/app/modelInstance/canUseList', 'post', params, axiosOption, httpOption);
  }
}
